<script setup lang="ts">
import { usePromotionStore } from '@/stores/Promotion'
import { useMemberStore } from '@/stores/member'
import { watch, computed, ref } from 'vue'

const memberStore = useMemberStore()

// Ensure tick and notTick are non-negative numbers

// this computed the ท่อ from memberstore and it will refresh automatically
const arrayMemberpoint = computed(() => {
  const tick = ref(memberStore.currentMember?.point || 0)
  const notTick = ref(Math.max(10 - (memberStore.currentMember?.point || 0), 0))
  return [...Array(tick.value).fill(true), ...Array(notTick.value).fill(false)]
})

// Watch for changes in arrayMemberpoint
watch(
  () => arrayMemberpoint.value,
  (newArray, oldArray) => {
    console.log('Array changed:', newArray)
  }
)

const log = () => {
  console.log(memberStore.currentMember)
}
</script>
<template>
  <v-container class="d-flex justify-center align-center">
    <v-sheet
      class="text-center"
      rounded="rounded"
      elevation="10"
      width="450"
      color="rgba(180, 143, 81, 1)"
    >
      <v-container class="mx-10">
        <v-row>
          <v-btn
            v-model="arrayMemberpoint"
            v-for="(value, index) in arrayMemberpoint.slice(0, 5)"
            :key="index"
            icon="mdi-check"
            size="small"
            @click="log"
            class="mr-10 mb-10"
          >
            {{ value ? '✅' : '❌' }}
          </v-btn>
        </v-row>

        <!-- Second row with the remaining buttons -->
        <v-row>
          <v-btn
            v-for="(value, index) in arrayMemberpoint.slice(5)"
            :key="index"
            icon="mdi-check"
            size="small"
            @click="console.log(arrayMemberpoint)"
            class="mr-10 mb-2"
          >
            {{ value ? '✅' : '❌' }}
          </v-btn>
        </v-row>

        <!-- Additional rows or content can be added here -->
      </v-container>
    </v-sheet>
  </v-container>
</template>
